import imp
import json
import myOpenstackApp.OpenStackConnection

class myopenstack_cinder():
    def __init__(self,conn: myOpenstackApp.OpenStackConnection.OpenStackConnection_x ) -> None:
        self.conn=conn

    def getAllVolumes(_self, projectID):
        result_Data=_self.conn.make_request("GET", "v2.0/volumes?project_id="+projectID, "",
                                                    _self.conn.ks.getEndpointByNameAndInterface("cinder",_self.conn.interface)["url"]).json()
        return  result_Data
            
   

    def createVolume(_self,name,network_id):
        data={
                "router": {
                    "name": name,
                    "external_gateway_info": {
                        "network_id": network_id,
                        "enable_snat": True,
                    },
                    "admin_state_up": True
                }
            }
        result_Data=_self.conn.make_request("POST", "v2.0/routers", data,
                                                _self.conn.ks.getEndpointByNameAndInterface("cinder",_self.conn.interface)["url"]).json()
        return  result_Data