class ItemNotFoundError(ValueError):
    '''Used when looking up REDIS or SQL or any other database to indicate to the calling routine that the object
     cant be found and to move along and try bother some other function
    '''
class ItemNotSavedError(ValueError):
    '''Item cant be saved to Redis
    '''

class DeadIPFound(ValueError):
    ''''An ip has been saved to redis as being 'DEAD"'''
